Bug 249866 - databases/sqldeveloper: Update to 20.2.0.175.1842
Summary: databases/sqldeveloper: Update to 20.2.0.175.1842
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL: https://www.oracle.com/tools/sqldev/s...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-09-24 20:47 UTC by VVD
Modified: 2020-10-03 08:12 UTC (History)
3 users (show)

See Also:
mizhka: maintainer-feedback+
mizhka: maintainer-feedback+


Attachments
Update to 20.2.0.175.1842 (54.73 KB, patch)
2020-09-24 20:47 UTC, VVD
vvd: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description VVD 2020-09-24 20:47:52 UTC
Created attachment 218265 [details]
Update to 20.2.0.175.1842

Tested on 12.1-p10 amd64: make check-plist/install/run.

About deprecation:
It can work without java/openjfx8-devel with some limitations - so after remove java/openjfx8-devel just remove dependency. Also, AFAIK, there is work on openjfx14 and possibly it can use it with openjdk11+.

Feature Enhancements
    Debugger - option to use DBMS_DEBUG for database debugging
    Load options include SET LOADFORMAT and SET LOADMETHOD for more flexibility on loading table data
    ORDS installer supports:
        REST SQL and SQL Developer Web configuration
        Custom JDBC urls and TNS
        Allows non-SYSDBA user to install/upgrade, repair and uninstall ORDS
    SQLcl Liquibase new commands: ROLLBACKSQL, DIFF, DBDOC, VERSION
    Liquibase changeSet IDs are now generated as a hash of the content
    Explain Plan/Autotrace Search
    Include Orakafka ZIP in all distributions
    Java Home updated to 8u221
    Oracle NoSQL plugin updated to version 19.3.12
    Database Copy added 'Ignore Storage' to avoid tablespace dependencies
    SQL Editor Code template options panel moved to code editor page
    Code formatter new setting for number of commas to allow before a linebreak on PL/SQL call
    Added SET CODESCAN to look for SQL Injection vulnerabilities
    TABLE IMPORT enhanced to ignore virtual columns

P.S. This PR deprecate https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=244076.
Comment 1 Automation User 2020-09-24 21:10:08 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/194230144
Comment 2 Matthias Andree freebsd_committer 2020-09-25 01:33:20 UTC
Mikhail, if the build is OK, please also set maintainer-approval to "+" on the patch. Thank you.
Comment 3 VVD 2020-09-25 11:34:54 UTC
maintainer-approval flag on patch.
Comment 4 VVD 2020-09-25 11:45:51 UTC
[NEW PORT] java/openjfx14: JavaFX SDK overlay for OpenJDK 11
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=248248
Comment 5 Michael Zhilin 2020-09-28 05:59:29 UTC
VVD,

Can you please take maintainership of this port?

Thanks!
Comment 6 VVD 2020-10-03 01:59:34 UTC
(In reply to Michael Zhilin from comment #5)
> VVD,
> Can you please take maintainership of this port?
> Thanks!

Yes, I can.
Comment 7 commit-hook freebsd_committer 2020-10-03 08:12:01 UTC
A commit references this bug:

Author: mikael
Date: Sat Oct  3 08:11:29 UTC 2020
New revision: 551261
URL: https://svnweb.freebsd.org/changeset/ports/551261

Log:
  databases/sqldeveloper: Update to 20.2.0.175.1842

  Pass maintainership to vvd (approved by Michael Zhilin)

  Changelog:
  Feature Enhancements
      Debugger - option to use DBMS_DEBUG for database debugging
      Load options include SET LOADFORMAT and SET LOADMETHOD for more flexibility on loading table data
      ORDS installer supports:
          REST SQL and SQL Developer Web configuration
          Custom JDBC urls and TNS
          Allows non-SYSDBA user to install/upgrade, repair and uninstall ORDS
      SQLcl Liquibase new commands: ROLLBACKSQL, DIFF, DBDOC, VERSION
      Liquibase changeSet IDs are now generated as a hash of the content
      Explain Plan/Autotrace Search
      Include Orakafka ZIP in all distributions
      Java Home updated to 8u221
      Oracle NoSQL plugin updated to version 19.3.12
      Database Copy added 'Ignore Storage' to avoid tablespace dependencies
      SQL Editor Code template options panel moved to code editor page
      Code formatter new setting for number of commas to allow before a linebreak on PL/SQL call
      Added SET CODESCAN to look for SQL Injection vulnerabilities
      TABLE IMPORT enhanced to ignore virtual columns

  PR:		249866
  Submitted by:	VVD <vvd@unislabs.com>

Changes:
  head/databases/sqldeveloper/Makefile
  head/databases/sqldeveloper/distinfo
  head/databases/sqldeveloper/pkg-descr
  head/databases/sqldeveloper/pkg-plist
Comment 8 Mikael Urankar freebsd_committer 2020-10-03 08:12:25 UTC
thanks!